Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.utils.jmx
Class JMXConstants

    java.lang.Object
      org.apache.ode.utils.jmx.JMXConstants

    public final class JMXConstants

extends java.lang.Object

Constant related to naming of ODE objects in JMX.

Field Summary
`static java.lang.String` | `JMX_DOMAIN` JMX domain key
`static java.lang.String` | `TYPE_DOMAINMBEAN` Value of `type` name attribute for `org.apache.ode.sfwk.mngmt.DomainNodeMBean`s.
`static java.lang.String` | `TYPE_SERVICEMBEAN` Value of `type` name attribute for `org.apache.ode.sfwk.mngmt.ServiceRuntimeMBean`s.
`static java.lang.String` | `TYPE_SYSTEMMBEAN` Value of `type` name attribute for `org.apache.ode.sfwk.mngmt.SystemRuntimeMBean`s.

Constructor Summary
`JMXConstants()`

Method Summary
`static javax.management.ObjectName` | `createDomainObjectName(java.lang.String domainId)` Create a JMX name for a ODE domain.
`static javax.management.ObjectName` | `createDomainObjectQuery()` Create a JMX name query to find ODE domain MBeans.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JMX_DOMAIN

    public static final java.lang.String JMX_DOMAIN

  JMX domain key

  See Also:
    Constant Field Values

### TYPE_DOMAINMBEAN

    public static final java.lang.String TYPE_DOMAINMBEAN

  Value of `type` name attribute for `org.apache.ode.sfwk.mngmt.DomainNodeMBean`s.

  See Also:
    Constant Field Values

### TYPE_SYSTEMMBEAN

    public static final java.lang.String TYPE_SYSTEMMBEAN

  Value of `type` name attribute for `org.apache.ode.sfwk.mngmt.SystemRuntimeMBean`s.

  See Also:
    Constant Field Values

### TYPE_SERVICEMBEAN

    public static final java.lang.String TYPE_SERVICEMBEAN

  Value of `type` name attribute for `org.apache.ode.sfwk.mngmt.ServiceRuntimeMBean`s.

  See Also:
    Constant Field Values

Constructor Detail

### JMXConstants

    public JMXConstants()

Method Detail

### createDomainObjectName

    public static javax.management.ObjectName createDomainObjectName(java.lang.String domainId)
                                                              throws javax.management.MalformedObjectNameException

  Create a JMX name for a ODE domain.

  Parameters:
    `domainId` - domain identifier
  Returns:
    JMX `ObjectName`
  Throws:
    `javax.management.MalformedObjectNameException`

### createDomainObjectQuery

    public static javax.management.ObjectName createDomainObjectQuery()
                                                               throws javax.management.MalformedObjectNameException

  Create a JMX name query to find ODE domain MBeans.

  Returns:
    `ObjectName` pattern
  Throws:
    `javax.management.MalformedObjectNameException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD